import 'package:hmg_patient_app_new/core/app_assets.dart';

enum  AppointmentListingFilters{
  WALKIN("walkin", AppAssets.walkin_appointment_icon),
  BOOKED("booked", AppAssets.calendar),
  CONFIRMED("confirmed", AppAssets.calendar),
  ARRIVED("arrived", AppAssets.calendar),
  LIVECARE("livecare", AppAssets.small_livecare_icon),
  DATESELECTION("",AppAssets.calendar, trailingIcon: AppAssets.arrow_down);

  final String labelText;
  final String leadingIcon;
  final String trailingIcon;

  const AppointmentListingFilters(this.labelText, this.leadingIcon,
      {this.trailingIcon = ""});
}